Bug 981873 - [abrt] system-config-printer-1.4.1-7.fc19: types.py:113:function:TypeError: foreach() takes exactly 3 arguments (2 given)
[abrt] system-config-printer-1.4.1-7.fc19: types.py:113:function:TypeError: f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:45f943eddb514a272e6df601add...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 10:44 EDT by Rick Richardson
Modified: 2013-08-25 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-25 18:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (792 bytes, text/plain)
2013-07-06 10:44 EDT, Rick Richardson
no flags Details
File: core_backtrace (359 bytes, text/plain)
2013-07-06 10:44 EDT, Rick Richardson
no flags Details
File: environ (1.95 KB, text/plain)
2013-07-06 10:44 EDT, Rick Richardson
no flags Details

  None (edit)
Description Rick Richardson 2013-07-06 10:44:37 EDT
Version-Release number of selected component:
system-config-printer-1.4.1-7.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       pygobject3-base-3.8.2-2.fc19.x86_64
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
types.py:113:function:TypeError: foreach() takes exactly 3 arguments (2 given)

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1335, in printer_name_editing_done
    self.rename_printer (name, newname)
  File "/usr/share/system-config-printer/system-config-printer.py", line 1455, in rename_printer
    model.foreach (select_new_printer)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
TypeError: foreach() takes exactly 3 arguments (2 given)

Local variables in innermost frame:
info: <gi.FunctionInfo object (foreach) at 0x0x146ab90>
args: (<ListStore object at 0x1e65c80 (GtkListStore at 0x1f2ac00)>, <function select_new_printer at 0x11576320>)
kwargs: {}
Comment 1 Rick Richardson 2013-07-06 10:44:42 EDT
Created attachment 769630 [details]
File: backtrace
Comment 2 Rick Richardson 2013-07-06 10:44:46 EDT
Created attachment 769631 [details]
File: core_backtrace
Comment 3 Rick Richardson 2013-07-06 10:44:49 EDT
Created attachment 769632 [details]
File: environ
Comment 5 Fedora Update System 2013-08-21 12:22:26 EDT
system-config-printer-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.2-1.fc19
Comment 6 Fedora Update System 2013-08-22 20:44:58 EDT
Package system-config-printer-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15201/system-config-printer-1.4.2-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-25 18:56:02 EDT
system-config-printer-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.